Bug 1416752 - virt-install missing dep on libvirt-client (for virsh console)
Summary: virt-install missing dep on libvirt-client (for virsh console)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager
Version: 25
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Cole Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-26 11:07 UTC by Michal Schorm
Modified: 2017-03-17 18:51 UTC (History)
4 users (show)

Fixed In Version: virt-manager-1.4.1-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-17 18:51:25 UTC
Type: Bug


Attachments (Terms of Use)
debug log from my script on F24 (46.35 KB, text/plain)
2017-01-26 11:08 UTC, Michal Schorm
no flags Details
debug log of my script on F25 - failling (18.25 KB, text/plain)
2017-01-26 11:09 UTC, Michal Schorm
no flags Details

Description Michal Schorm 2017-01-26 11:07:44 UTC
I used my script, for fast, non-interactive VM deploying a lot on F24. However, it fails on F25.
Check https://github.com/FaramosCZ/VM
It is just script to ensure, correct values are given to "virt-install"


In an attachements I'll provide debug logs form the script above for f24 (where it work as it should) and f25 (when it crash soon)


On my desktop f25, I can later see in virt-manager, that even tough the script crashed, VM was created and is installing.
But it doesn't help, because after it finish, the VM can't be started.

Comment 1 Michal Schorm 2017-01-26 11:08:36 UTC
Created attachment 1244711 [details]
debug log from my script on F24

Comment 2 Michal Schorm 2017-01-26 11:09:19 UTC
Created attachment 1244712 [details]
debug log of my script on F25 - failling

Comment 3 Cole Robinson 2017-02-05 20:48:38 UTC
The 'no such file or directory' error seems to be due to 'virsh' missing on your host. Try installing libvirt-client to see if it fixes the issue. virt-install should have an explicit dep on it though, so I pushed a fix upstream:

commit 4a365046d6aede9a4557411c7d277aefed7743b4
Author: Cole Robinson <crobinso@redhat.com>
Date:   Sun Feb 5 15:44:33 2017 -0500

    spec: Add virt-install libvirt-client dep (bz 1416752)



But please confirm that installing libvirt-client fixes the whole issue

Comment 4 Michal Schorm 2017-02-06 21:03:08 UTC
I confirm, adding "libvirt-client" dependency solved the issue.
I tested both on my laptop and fresh clean virtual machine.

I suggest, the "libvirt-client" component should be added to DNF group @virtualization.

Comment 5 Fedora Update System 2017-03-14 18:40:25 UTC
virt-manager-1.4.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8b8b4e1753

Comment 6 Fedora Update System 2017-03-15 19:58:18 UTC
virt-manager-1.4.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8b8b4e1753

Comment 7 Fedora Update System 2017-03-17 18:51:25 UTC
virt-manager-1.4.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.